/*
 * Copyright (C) 2001-2004 Red Hat Inc. All Rights Reserved.
 *
 * The contents of this file are subject to the CCM Public
 * License (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the
 * License at http://www.redhat.com/licenses/ccmpl.html.
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language
 * governing rights and limitations under the License.
 *
 */
package com.arsdigita.toolbox;

import com.arsdigita.kernel.Party;

/**
 * <p>An interface for making access checks.</p>
 *
 * @author Michael Pih 
 * @version $Revision: #7 $ $DateTime: 2004/04/07 16:07:11 $
 */
public interface Security {

    public static final String versionId = "$Id: //core-platform/dev/src/com/arsdigita/toolbox/Security.java#7 $ by $Author: dennis $, $DateTime: 2004/04/07 16:07:11 $";

    /**
     * Determine whether a party has access to a particular action.
     *
     * @param party The party
     * @param action The action
     * @return true if the party has access, false otherwise
     */
    public boolean canAccess(Party party, String action);
}
